## python-atom 0.11.0

=== docs/requirements.txt ===
sphinx>=5
sphinx-rtd-theme>=1
graphviz
git+https://github.com/nucleic/cppy@main

=== debian/changelog ===
python-atom (0.11.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1099603)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Wed, 02 Jul 2025 17:32:02 +0200

=== debian/watch ===
version=4
https://github.com/nucleic/atom/tags .*/(\d.*)@ARCHIVE_EXT@

## python-atom 0.12.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

examples:
	python source/examples/example_doc_generator.py
	@echo

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/enaml.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/enaml.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/enaml"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/enaml"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
sphinx>=5
sphinx-rtd-theme>=1
graphviz
packaging
git+https://github.com/nucleic/cppy@main

=== debian/changelog ===
python-atom (0.12.1-1) unstable; urgency=medium

  * New upstream release
  * d/pachtes:
    - Drop patches already applied upstream
    - Add patch to disable mem tests on GNU Hurd
  * d/watch: Ignore rc versions

 -- Alexander Sulfrian <alexander@sulfrian.net>  Sun, 05 Oct 2025 15:14:45 +0000

=== debian/control ===
Source: python-atom
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  libpython3-all-dev,
  pybuild-plugin-pyproject,
  python3-all-dev:any,
  python3-cppy,
  python3-psutil <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  graphviz <!nodoc>,
  jdupes <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-atom
Vcs-Git: https://salsa.debian.org/python-team/packages/python-atom.git
Homepage: https://github.com/nucleic/atom
Testsuite: autopkgtest-pkg-pybuild

Package: python3-atom
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Memory efficient Python objects
 Atom is a framework for creating memory efficient Python objects with enhanced
 features such as dynamic initialization, validation, and change notification
 for object attributes.
 .
 This package contains the Python 3 version of atom.

Package: python-atom-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Memory efficient Python objects (documentation)
 Atom is a framework for creating memory efficient Python objects with enhanced
 features such as dynamic initialization, validation, and change notification
 for object attributes.
 .
 This package contains the documentation for atom.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=atom
export PYBUILD_TEST_PYTEST=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy='http://127.0.0.1:9/' PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -vd)_atom/build python3 -P -m sphinx -N -bhtml docs/source/ debian/python-atom-doc/usr/share/doc/python-atom-doc/html/
	dh_sphinxdoc
endif

override_dh_installexamples:
	dh_installexamples
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	if test -d debian/python-atom-doc/usr/share/doc; then jdupes -rl debian/python-atom-doc/usr/share/doc; fi
endif

=== debian/watch ===
version=4
https://github.com/nucleic/atom/tags .*/(\d[0-9.]*)@ARCHIVE_EXT@
